package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 导入表的清晰表 act_supplies_import_cleaning
 * 
 * @author
 * @date 2023-12-15
 */
public class ActSuppliesImportCleaning extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 导入表的清洗ID */
    @Excel(name = "导入表的清洗ID")
    private String id;

    /** 规则ID */
    private long roleId;

    public long getRoleId() {
        return roleId;
    }

    public void setRoleId(long roleId) {
        this.roleId = roleId;
    }

    /**所属规则*/
    @Excel(name = "所属矿id",readConverterExp = "1、东欢坨矿 2、范矿 3、林西矿 4、吕矿 5、钱家营矿 6、唐山矿 7、宏丰 8、云飞 9、平安")
    private String sskId;

    /** 日期(年月)*/
    private String date;

    /** 历史表ID*/
    private Long hId;

    /** 所在行*/
    private String HeaderRow;
    /** 物料名称*/
    private String nameColumn;
    /** 物料编码*/
    private String codeColumn;
    /** 部门*/
    private String departmentColumn;
    /** 数量*/
    private String numberColumn;
    /** 金额*/
    private String moneyColumn;
    /** 导入表内日期*/
    private String dateColumn;
    /** 创建人*/
    private String createBy;
    /** 创建时间*/
    private Date createTime;
    /** 修改人*/
    private String updateBy;
    /** 修改时间*/
    private Date updateTime;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getHeaderRow() {
        return HeaderRow;
    }

    public void setHeaderRow(String headerRow) {
        HeaderRow = headerRow;
    }

    public String getSskId() {
        return sskId;
    }

    public void setSskId(String sskId) {
        this.sskId = sskId;
    }

    public Long gethId() {
        return hId;
    }

    public void sethId(Long hId) {
        this.hId = hId;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public String getNameColumn() {
        return nameColumn;
    }

    public void setNameColumn(String nameColumn) {
        this.nameColumn = nameColumn;
    }

    public String getCodeColumn() {
        return codeColumn;
    }

    public void setCodeColumn(String codeColumn) {
        this.codeColumn = codeColumn;
    }

    public String getDepartmentColumn() {
        return departmentColumn;
    }

    public void setDepartmentColumn(String departmentColumn) {
        this.departmentColumn = departmentColumn;
    }

    public String getNumberColumn() {
        return numberColumn;
    }

    public void setNumberColumn(String numberColumn) {
        this.numberColumn = numberColumn;
    }

    public String getMoneyColumn() {
        return moneyColumn;
    }

    public void setMoneyColumn(String moneyColumn) {
        this.moneyColumn = moneyColumn;
    }

    public String getDateColumn() {
        return dateColumn;
    }

    public void setDateColumn(String dateColumn) {
        this.dateColumn = dateColumn;
    }

    @Override
    public String getCreateBy() {
        return createBy;
    }

    @Override
    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    @Override
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String getUpdateBy() {
        return updateBy;
    }

    @Override
    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    @Override
    public Date getUpdateTime() {
        return updateTime;
    }

    @Override
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "ActSuppliesImportCleaning{" +
                "id='" + id + '\'' +
                ", roleId=" + roleId +
                ", sskId='" + sskId + '\'' +
                ", date='" + date + '\'' +
                ", hId='" + hId + '\'' +
                ", nameColumn='" + nameColumn + '\'' +
                ", codeColumn='" + codeColumn + '\'' +
                ", departmentColumn='" + departmentColumn + '\'' +
                ", numberColumn='" + numberColumn + '\'' +
                ", moneyColumn='" + moneyColumn + '\'' +
                ", dateColumn='" + dateColumn + '\'' +
                ", createBy='" + createBy + '\'' +
                ", createTime=" + createTime +
                ", updateBy='" + updateBy + '\'' +
                ", updateTime=" + updateTime +
                '}';
    }
}
